Bug 1122204 - (CVE-2019-2435) VUL-0: CVE-2019-2435: python-mysql-connector-python: Vulnerability in the MySQL Connectors component of Oracle MySQL (subcomponent: Connector/Python).
(CVE-2019-2435)
VUL-0: CVE-2019-2435: python-mysql-connector-python: Vulnerability in the MyS...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.1
Other Other
: P3 - Medium : Major (vote)
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/222865/
CVSSv2:NVD:CVE-2019-2435:5.8:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-16 14:50 UTC by Karol Babioch
Modified: 2020-04-07 15:53 UTC (History)
17 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2019-01-16 14:50:43 UTC
CVE-2019-2435

Vulnerability in the MySQL Connectors component of Oracle MySQL (subcomponent: Connector/Python). Supported versions that are affected are 8.0.13 and prior and 2.1.8 and prior. Easily exploitable vulnerability allows unauthenticated attacker with network access via TLS to compromise MySQL Connectors. Successful attacks require human interaction from a person other than the attacker. Successful attacks of this vulnerability can result in unauthorized creation, deletion or modification access to critical data or all MySQL Connectors accessible data as well as unauthorized access to critical data or complete access to all MySQL Connectors accessible data.

CVSS v3.0 Base Score 8.1 (Confidentiality and Integrity impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:N). (legend) 

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-2435
http://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html#CVE-2019-2435
Comment 2 Tomáš Chvátal 2019-07-11 11:38:20 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 3 Marcus Meissner 2019-07-12 05:40:34 UTC
likely still affecetd on 15.0, 15.1 and factory.
Comment 4 Swamp Workflow Management 2020-03-18 16:40:10 UTC
This is an autogenerated message for OBS integration:
This bug (1122204) was mentioned in
https://build.opensuse.org/request/show/786217 Factory / python-peewee
Comment 5 Dirk Mueller 2020-03-18 17:17:14 UTC
So this is actually only used by python-peewee newer than 3.12, which only exists in Tumbleweed. For Tumbleweed I switched now to PyMySQL as the peewee driver so this is no longer actually used. 

Now I submitted a version update to 8.0.19 which I think fixes this issue (amongst everything else including a completely new api). I am not able to identify a smaller patch nor do I think we should keep patching version 2.1.x of the driver when version 8.x is around. Nothing depends on this as far as I can say, so I'd also be fine with dropping it.
Comment 6 Swamp Workflow Management 2020-03-18 17:50:07 UTC
This is an autogenerated message for OBS integration:
This bug (1122204) was mentioned in
https://build.opensuse.org/request/show/786223 Factory / python-mysql-connector-python
https://build.opensuse.org/request/show/786226 15.1 / python-mysql-connector-python
Comment 7 Swamp Workflow Management 2020-03-29 22:14:41 UTC
openSUSE-SU-2020:0409-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1122204
CVE References: CVE-2019-2435
Sources used:
openSUSE Leap 15.1 (src):    python-mysql-connector-python-8.0.19-lp151.3.3.1
Comment 8 Swamp Workflow Management 2020-03-31 16:37:17 UTC
openSUSE-SU-2020:0430-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1122204
CVE References: CVE-2019-2435
Sources used:
openSUSE Backports SLE-15-SP1 (src):    python-mysql-connector-python-8.0.19-bp151.4.3.1
Comment 9 Alexandros Toptsoglou 2020-04-07 15:53:28 UTC
done